Data Fields

# _DMXConfigWall Struct Reference

`#include <dmxparse.h>`

## Data Fields
int | width
int | height
int | xwall
int | ywall
DMXConfigTokenPtr | start
DMXConfigPairPtr | wallDim
DMXConfigPairPtr | displayDim
DMXConfigStringPtr | nameList
DMXConfigTokenPtr | end

## Detailed Description

Stores parsed wall information.

## Field Documentation

DMXConfigPairPtr _DMXConfigWall::displayDim

Referenced by dmxConfigCreateWall(), dmxConfigFreeWall(), and dmxConfigPrintWall().

DMXConfigTokenPtr _DMXConfigWall::end

Referenced by dmxConfigCreateWall(), dmxConfigFreeWall(), and dmxConfigPrintWall().

int _DMXConfigWall::height

Referenced by dmxConfigCopyFromWall(), and dmxConfigCreateWall().

DMXConfigStringPtr _DMXConfigWall::nameList

Referenced by dmxConfigCopyFromWall(), dmxConfigCreateWall(), dmxConfigFreeWall(), and dmxConfigPrintWall().

DMXConfigTokenPtr _DMXConfigWall::start

Referenced by dmxConfigCreateWall(), dmxConfigFreeWall(), and dmxConfigPrintWall().

DMXConfigPairPtr _DMXConfigWall::wallDim

Referenced by dmxConfigCreateWall(), dmxConfigFreeWall(), and dmxConfigPrintWall().

int _DMXConfigWall::width

Referenced by dmxConfigCopyFromWall(), and dmxConfigCreateWall().

int _DMXConfigWall::xwall

Referenced by dmxConfigCopyFromWall(), and dmxConfigCreateWall().

int _DMXConfigWall::ywall

Referenced by dmxConfigCopyFromWall(), and dmxConfigCreateWall().

The documentation for this struct was generated from the following file:

- dmxparse.h